"About" menu
Open, WishlistPublic

Description

A simple entry in the main menu with a command showing some basic hardware and software information, like free memory, processor, OS version, kernel, etc.

And of course, I have a mockup.

redwolf created this task.Jan 14 2018, 12:16 PM
redwolf created this object in space S1 Public.

Thanks to agaida, who suggested using inxi output into variables to be processed by zeniy or any other dialog creator

tsimonq2 triaged this task as Normal priority.Jan 15 2018, 12:39 AM

Here's an experimental design: https://github.com/lubuntu-team/lubuntu-about

Right now it's just the design, and I'll work more on the actual code soon. You can view that in things like Qt 5 Designer.

I also need icons for everything, so I'm going to create a directory that has temporary symbolic links to things; @redwolf please overwrite these icon files in the Git repository and it will automatically update the file.

Anyways, here's a screenshot:

@redwolf is the design wizard, besides the placeholder text, how did I do? :D

These are some command examples to obtain the data. With an appropriate parsing they could injected into variables to be rendered by Qt Designer:

CPU: lscpu | grep "Model name"
Memory: grep 'MemFree' /proc/meminfo
Graphics: lspci | grep VGA | uniq
OS version: lsb_release -d
Kernel: uname -r

redwolf added a comment.EditedJan 15 2018, 4:34 PM

Free desktop icon naming:

  • cpu: "cpu"
  • memory: "media-flash"
  • video: "computer"
  • hostname: "drive-harddisk" or "computer-laptop"
tsimonq2 raised the priority of this task from Normal to High.Jan 25 2018, 8:34 PM
tsimonq2 added a subscriber: gilir.

I've made some progress on this, but I'll put the finishing touches on it this weekend, and get it uploaded to Bionic.

Looping Julien in because he's now on Phab, maybe he has some feedback he can provide between now and Saturday/Sunday when I do this.

Thanks.

I'll put the finishing touches on it this weekend

(by this I mean I'll refactor things a bit... I think I started things off wrong, I've never done this sort of thing before)

Can't wait for it. Tell me if you need an icon. Or if you're going to use distributor-logo.

tsimonq2 lowered the priority of this task from High to Wishlist.Wed, May 16, 2:20 PM
tsimonq2 closed this task as Wontfix.EditedSun, May 20, 2:32 AM

I don't believe this is really something we need anymore.

Let me know if you disagree; but I think lxqt-about does the job.

Worst case scenario, we can patch that.

wxl added a comment.Sun, May 20, 11:26 AM

If 0.13 lxqt-about is anything like 0.12, no, it lacks the right info. Can I throw in a request for lsb_release info, at least for Debian distros?

tsimonq2 reopened this task as Open.Sun, May 20, 11:28 AM

OK, I'll look at this again.

tsimonq2 renamed this task from "About" menu to "About" menu.Sun, May 20, 11:30 AM